/* CARRITO LATERAL */
.cart-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.4);
  backdrop-filter: blur(3px);
  z-index: 200;
  visibility: hidden;
  opacity: 0;
  transition: 0.2s;
}

.cart-sidebar {
  position: fixed;
  top: 0;
  right: -100%;
  width: 90%;
  max-width: 420px;
  height: 100%;
  background: white;
  z-index: 210;
  display: flex;
  flex-direction: column;
  transition: 0.3s cubic-bezier(0.2, 0.9, 0.4, 1.1);
  border-radius: 28px 0 0 28px;
}

.cart-sidebar.open {
  right: 0;
}

.cart-overlay.show {
  visibility: visible;
  opacity: 1;
}

.cart-header {
  padding: 20px;
  border-bottom: 1px solid #e9f0f5;
  display: flex;
  justify-content: space-between;
}

.cart-items {
  flex: 1;
  overflow-y: auto;
  padding: 16px;
}

.cart-item {
  display: flex;
  gap: 12px;
  margin-bottom: 18px;
  background: #fafdff;
  padding: 12px;
  border-radius: 24px;
  align-items: center;
}

.cart-item-img {
  width: 65px;
  height: 65px;
  border-radius: 16px;
  object-fit: cover;
}

.cart-item-info {
  flex: 1;
}

.cart-qty {
  display: flex;
  align-items: center;
  gap: 8px;
  margin-top: 6px;
  font-size: 14px;
}

.cart-qty button {
  background: #eef2f7;
  border: none;
  width: 28px;
  height: 28px;
  border-radius: 30px;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
}
.cart-qty button:hover {
  background: #e7e7e7;
}

.cart-dec {
  font-size: 12px;
}
.cart-inc {
  font-size: 12px;
}
.cart-remove {
  margin-left: 6px;
  background: none !important;
  border: none;
  color: #c00;
}
.cart-remove:hover {
  background-color: #e7e7e7 !important;
}
.cart-item-price{
  font-size: 14px;
}

.cart-footer {
  padding: 20px;
  border-top: 1px solid #e2edf2;
}

.btn-clear {
  background: #ffe9e9;
  border: none;
  padding: 12px;
  width: 48%;
  cursor: pointer;
}
.btn-clear:hover {
  background: #e7e7e7;
}

.btn-checkout {
  background: #3496c3;
  border: none;
  padding: 12px;
  width: 48%;
  color: white;
  cursor: pointer;
}
.btn-checkout:hover {
  background: #2b7a9e;
}

.btn-keep-shopping {
  width: 100%;
  margin-top: 12px;
  background: #eef2f7;
  border: none;
  padding: 12px;
  cursor: pointer;
}
.btn-keep-shopping:hover {
  background: #e7e7e7;
}

.cart-subtotal {
  display: flex;
  justify-content: space-between;
  margin-bottom: 16px;
}